#ifndef RATIONAL_H_INCLUDED
#define RATIONAL_H_INCLUDED

class Rational
{
private:
    int a,b;
public:
    // Default konstruktor: 1-re inicializál
    Rational():a(1),b(1){}
    // Kétparaméteres konstruktor
    Rational(int x,int y):a(x),b(y){}
    //Összeadás fv. két rac. szám között
    Rational add(Rational c);
    // Összeadás operátor két rac. szám között
    Rational operator+(Rational c);
    // Összeadás rac.+egész (nem implementált, linkelési hibát kapunk használat esetén)
    Rational operator+(int c);
    // Szorzás (csak fv.-ként)
    Rational mult(Rational c);
    void kiir() const;

    // kiíró operátor friend, hogy hozzáférjen a privát mezőkhöz
    friend std::ostream& operator<<(std::ostream& out, Rational r);
};

// Összeadás egész+rac. (sajnos a sorrend nem mindegy)
Rational operator+(int lhs, Rational rhs);

// Kiíró operátor (pl. cout-hoz)
std::ostream& operator<<(std::ostream& out, Rational r);

#endif // RATIONAL_H_INCLUDED
